Crash after update 2.00 to 2.05+

More
3 years 6 months ago - 3 years 6 months ago #103542 by warbeast
warbeast created the topic: Crash after update 2.00 to 2.05+
Hello mates,

I have very serious problem, my Survey don't work

PHP debug output :
Fatal error: Uncaught exception 'CException' with message 'Application base path "protected" is not a valid directory.' in /home/antolao/public_html/ScoutBG/survey/framework/base/CApplication.php:244 Stack trace: #0 /home/antolao/public_html/ScoutBG/survey/framework/base/CApplication.php(134): CApplication->setBasePath('protected') #1 /home/antolao/public_html/ScoutBG/survey/application/core/LSYii_Application.php(107): CApplication->__construct(Array) #2 /home/antolao/public_html/ScoutBG/survey/framework/YiiBase.php(127): LSYii_Application->__construct('/home/antolao/p...') #3 /home/antolao/public_html/ScoutBG/survey/index.php(178): YiiBase::createApplication('LSYii_Applicati...', '/home/antolao/p...') #4 {main} thrown in /home/antolao/public_html/ScoutBG/survey/framework/base/CApplication.php on line 244

Debug from error_log file :
[15-Jan-2014 11:08:42] PHP Warning:  PHP Startup: PDO: Unable to initialize module
Module compiled with module API=20060613
PHP    compiled with module API=20090626
These options need to match
 in Unknown on line 0
[15-Jan-2014 11:08:42] PHP Warning:  PHP Startup: pdo_sqlite: Unable to initialize module
Module compiled with module API=20060613
PHP    compiled with module API=20090626
These options need to match
 in Unknown on line 0
[15-Jan-2014 11:08:42] PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/lib/php/extensions/no-debug-non-zts-20060613/sqlite.so' - /usr/local/lib/php/extensions/no-debug-non-zts-20060613/sqlite.so: undefined symbol: third_arg_force_ref in Unknown on line 0
[15-Jan-2014 11:08:42] PHP Warning:  PHP Startup: pdo_mysql: Unable to initialize module
Module compiled with module API=20060613
PHP    compiled with module API=20090626
These options need to match
 in Unknown on line 0
[15-Jan-2014 11:08:42] PHP Warning:  PHP Startup: pgsql: Unable to initialize module
Module compiled with module API=20060613
PHP    compiled with module API=20090626
These options need to match
 in Unknown on line 0
[15-Jan-2014 11:08:42] PHP Warning:  PHP Startup: pdo_pgsql: Unable to initialize module
Module compiled with module API=20060613
PHP    compiled with module API=20090626
These options need to match
 in Unknown on line 0
[15-Jan-2014 11:08:42] PHP Fatal error:  Uncaught exception 'CException' with message 'Application base path "protected" is not a valid directory.' in /home/antolao/public_html/ScoutBG/survey/framework/base/CApplication.php:244
Stack trace:
#0 /home/antolao/public_html/ScoutBG/survey/framework/base/CApplication.php(134): CApplication->setBasePath('protected')
#1 /home/antolao/public_html/ScoutBG/survey/application/core/LSYii_Application.php(107): CApplication->__construct(Array)
#2 /home/antolao/public_html/ScoutBG/survey/framework/YiiBase.php(127): LSYii_Application->__construct('/home/antolao/p...')
#3 /home/antolao/public_html/ScoutBG/survey/index.php(178): YiiBase::createApplication('LSYii_Applicati...', '/home/antolao/p...')
#4 {main}
  thrown in /home/antolao/public_html/ScoutBG/survey/framework/base/CApplication.php on line 244

I have try to backup the DB after the update and insert it to a newly installed survey but it don't work.

So suggestions what to do ?
Last Edit: 3 years 6 months ago by warbeast.

Please Log in to join the conversation.

More
3 years 6 months ago #103554 by warbeast
warbeast replied the topic: Crash after update 2.00 to 2.05+ --> ** Solved **
I solved my problem.

Here's how :
1st : I add "AddHandler x-httpd-php53 .php" to .htaccess
2nd : my PHP use's 32Mb memory I lift the limit over the minimum 64Mb.
3th : Add some missing PHP modules.
4th : I update to LS 2.05RC7

That is all :)


PS : To the web masters of the LS site, please move the SYSTEM REQUIREMENTS of LS to more visible page!

Please Log in to join the conversation.

Did you already participate in our customer survey?

Don't miss your chance for great prices.

Please click here to participate:

Start now

Start now!

Just create your account and start using Limesurvey today.

Register now